From 2650e6ed3dbc3303ec4a6c1bdf80bfa6037e3b90 Mon Sep 17 00:00:00 2001
From: "Bryn M. Reeves" <bmr@redhat.com>
Date: Tue, 16 Jul 2013 18:36:06 +0100
Subject: [PATCH 2/2] Fix calls to 'udevadm info'

The udev package removed the 'udevinfo' command and made it a
sub-command of udevadm.

This is a partial backport of commit ae0ed73.

Signed-off-by: Bryn M. Reeves <bmr@redhat.com>
---
 sos/plugins/devicemapper.py | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/sos/plugins/devicemapper.py b/sos/plugins/devicemapper.py
index fe2f6ce..1d40d2a 100644
--- a/sos/plugins/devicemapper.py
+++ b/sos/plugins/devicemapper.py
@@ -60,7 +60,7 @@ class devicemapper(sos.plugintools.PluginBase):
            for disk in os.listdir("/sys/block"):
               if disk in [ ".",  ".." ] or disk.startswith("ram"):
                  continue
-              self.collectExtOutput("/usr/bin/udevinfo -ap /sys/block/%s" % (disk))
+              self.collectExtOutput("/sbin/udevadm info -ap /sys/block/%s" % (disk))
         for opt in self.dmraidOptions:
             self.collectExtOutput("/sbin/dmraid -%s" % (opt,))
 
-- 
1.7.11.7

